Page MenuHomePhabricator

Don't allow users to apply again to a partner they have an outstanding application to via /apply
Closed, ResolvedPublic

Description

If a user has applied to a partner, and their application has yet to be approved or declined, going to the partner page will not provide them with an Apply button - instead they get a link to their application. If they've been approved and their application is 'sent to partner', they get a Renew option.

However, users can still make a duplicate application by going to /apply and checking the box for that partner. We shouldn't allow this to happen, probably by greying out the checkbox for those partners the user has already applied to.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2018, 9:07 AM
Samwalton9 triaged this task as Normal priority.Oct 18 2018, 9:07 AM
Samwalton9 moved this task from Incoming tasks to Open tasks on the Library-Card-Platform board.
Samwalton9 added a project: good first bug.
AdityaJ added a subscriber: AdityaJ.Jan 1 2019, 1:52 PM
This comment was removed by AdityaJ.

Instead of greying out check boxes, should we just remove those organisations from partners list ?

That's a nice suggestion @Chinmay_gurjar! I don't see why not :)

I have fixed this issue, is it okay to make a PR now ?

Of course! :)

Samwalton9 closed this task as Resolved.Feb 11 2019, 11:55 AM